<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: example_pinocchio Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example_pinocchio Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a511ae0b1c13f95e5f08f1a0dd3da3d93"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__pinocchio.html#a511ae0b1c13f95e5f08f1a0dd3da3d93">data</a> = wb_model.data</td></tr>
<tr class="separator:a511ae0b1c13f95e5f08f1a0dd3da3d93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__pinocchio.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a> = '/home/auctus/ospi/models/whole_body/wholebody.osim'</td></tr>
<tr class="separator:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a868d1c4a8c13a8fea7c4bb4ce346b065"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__pinocchio.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a> = '/home/auctus/ospi/models/whole_body/obj'</td></tr>
<tr class="memdesc:a868d1c4a8c13a8fea7c4bb4ce346b065"><td class="mdescLeft">&#160;</td><td class="mdescRight">&mdash;Wholebody &mdash;  <a href="#a868d1c4a8c13a8fea7c4bb4ce346b065">More...</a><br /></td></tr>
<tr class="separator:a868d1c4a8c13a8fea7c4bb4ce346b065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a508cc3106d2c29fe07dc87cbe3ea6927"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__pinocchio.html#a508cc3106d2c29fe07dc87cbe3ea6927">model</a> = wb_model.model</td></tr>
<tr class="separator:a508cc3106d2c29fe07dc87cbe3ea6927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad105aa2ca5360f19e40e0463cee0b905"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__pinocchio.html#ad105aa2ca5360f19e40e0463cee0b905">wb_model</a> = wr.Wrapper(<a class="el" href="namespaceexample__pinocchio.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, <a class="el" href="namespaceexample__pinocchio.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a>, name='whole-body_model1')</td></tr>
<tr class="separator:ad105aa2ca5360f19e40e0463cee0b905"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a511ae0b1c13f95e5f08f1a0dd3da3d93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a511ae0b1c13f95e5f08f1a0dd3da3d93">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">data = wb_model.data</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a1a90139c2c8ab1fca0ea8b1790b7b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a1a90139c2c8ab1fca0ea8b1790b7b2">&#9670;&nbsp;</a></span>filename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string filename = '/home/auctus/ospi/models/whole_body/wholebody.osim'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a868d1c4a8c13a8fea7c4bb4ce346b065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a868d1c4a8c13a8fea7c4bb4ce346b065">&#9670;&nbsp;</a></span>mesh_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string mesh_path = '/home/auctus/ospi/models/whole_body/obj'</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>&mdash;Wholebody &mdash; </p>

</div>
</div>
<a id="a508cc3106d2c29fe07dc87cbe3ea6927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a508cc3106d2c29fe07dc87cbe3ea6927">&#9670;&nbsp;</a></span>model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">model = wb_model.model</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad105aa2ca5360f19e40e0463cee0b905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad105aa2ca5360f19e40e0463cee0b905">&#9670;&nbsp;</a></span>wb_model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wb_model = wr.Wrapper(<a class="el" href="namespaceexample__pinocchio.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, <a class="el" href="namespaceexample__pinocchio.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a>, name='whole-body_model1')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
